%global momorel 5
%global md5sum_src0 5a1a3ced578428136f74827503aeabcf

Name:           perl-Catalyst-Plugin-Authorization-Roles
Version:        0.05
Release: %{momorel}m%{?dist}
Summary:        Role based authorization for Catalyst based on Catalyst::Plugin::Authentication
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Authorization-Roles/
%NoSource 0     http://www.cpan.org/authors/id/N/NU/NUFFIN/Catalyst-Plugin-Authorization-Roles-%{version}.tar.gz %{md5sum_src0}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl-Catalyst-Runtime >= 5.49
BuildRequires:  perl-Catalyst-Plugin-Authentication >= 0.03
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Set-Object >= 1.14
BuildRequires:  perl-Test-Exception
BuildRequires:  perl-Test-MockObject >= 1.01
BuildRequires:  perl-UNIVERSAL-isa >= 0.05
Requires:       perl-Catalyst-Runtime >= 5.49
Requires:       perl-Catalyst-Plugin-Authentication >= 0.03
Requires:       perl-Set-Object >= 1.14
Requires:       perl-Test-Exception
Requires:       perl-Test-MockObject >= 1.01
Requires:       perl-UNIVERSAL-isa >= 0.05
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Role based access control is very simple: every user has a list of roles,
which that user is allowed to assume, and every restricted part of the app
makes an assertion about the necessary roles.

%prep
%setup -q -n Catalyst-Plugin-Authorization-Roles-%{version}

%build
%{__perl} Makefile.PL installdirs=vendor
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# remove unwanted files
find %{buildroot} -name perllocal.pod -type f -exec rm {} 2>/dev/null \;
find %{buildroot} -name .packlist -type f -exec rm {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*/*/*/*
%{_mandir}/man3/*

%changelog
* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.05-5m)
- use vendor

* Thu Nov 23 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-4m)
- delete .packlist

* Wed Nov 22 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-3m)
- use scripts for delete unwanted file(s)

* Sat Nov 11 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-2m)
- delete duplicate file(es) with kdebindings

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-1m)
- update to 0.05

* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.04-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.04-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
